Lua_TenRecruitSelectShowItemWindow = class("Lua_TenRecruitSelectShowItemWindow", Lua_Window);
function Lua_TenRecruitSelectShowItemWindow:ctor()
	self:superCall("ctor");
	
	self.windowName = "Lua_TenRecruitSelectShowItemWindow";
	self.showBlackMask = true;
	self.isClickClose = false;
end

function Lua_TenRecruitSelectShowItemWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.rewarBg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "ui_common_window_024", 0, 52, 0, 0);

	self.itemList = Lua_DragList.new(self.content, 575, 230, Lua_AxisDefine.Vertical);
	self.itemList:setListCell(Lua_ItemIconCell, 112, 112, 5);
end

function Lua_TenRecruitSelectShowItemWindow:showWin(param)
	self:superCall("showWin", param);
	
	local posX;
	local posY;
	if param.data:getSize() <= 5 then
		posX = 115 * param.data:getSize();
		posY = 115;
	else
		posX = 575;
		posY = 230;
	end
	self.itemList:setContentRect(posX, posY);
	self.itemList:setScale(0.1, 0.1, 0.1);
	self.itemList:setArrayData(param.data);

	self.starTime = getTime();
	self:startTimer();
end

function Lua_TenRecruitSelectShowItemWindow:startTimer()
	if self.countDown ~= true then
		self.countDown = true;
		self:addTimer("Lua_TenRecruitSelectShowItemWindow", 0.01, self, self.updateLeftTime);
	end
end

function Lua_TenRecruitSelectShowItemWindow:updateLeftTime()
	local dt = getTime() - self.starTime;
	if dt > 0.03 then
		local scaleCoun = dt * 4;
		if scaleCoun >= 1 then
			self:endTimer();
			self.itemList:setScale(1, 1, 1);
		else
			self.itemList:setScale(scaleCoun, scaleCoun, 1);
		end
	end
end

function Lua_TenRecruitSelectShowItemWindow:endTimer()
	if self.countDown == true then
		self.countDown = false;
		self.isClickClose = true;
		self:createCloseTips(0, -220, 0);
		self:removeTimer(self, self.onTimer);
	end
end

function Lua_TenRecruitSelectShowItemWindow:dispose()
	if self.itemList ~= nil then
		self.itemList:dispose();
		self.itemList = nil;
	end
	self:endTimer();

	self:superCall("dispose");
end