Lua_TenRecruitSelectShowRewardWindow = class("Lua_TenRecruitSelectShowRewardWindow", Lua_Window);
function Lua_TenRecruitSelectShowRewardWindow:ctor()
	self:superCall("ctor");
	
	self.layer = MainWinDefine.NORMAL_WINDOW_LAYER;
	self.windowName = "Lua_TenRecruitSelectShowRewardWindow";
	self.skinName = "TenRecruitSelectShowRewardWindow_skin";
	self.winBgPath = "/images/common/ui_common_bg_001.jpg";
	self.showWinBg = true;
	self.isFullSizeWin = true;
end

function Lua_TenRecruitSelectShowRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	local item;
	self.RewardArr = Array();
	self.rewardPos = {{-213, 415}, {0, 532}, {214, 420}, {-213, 120}, {0, 230}, {214, 121}, {-213, -178}, {0, -70}, {214, -180}, {0, -373}}
	for i = 1, #self.rewardPos do
		item = Lua_TenRecruitSelectShowRewardItem.new(self.content);
		item.contentName = "Lua_TenRecruitSelectShowRewardItem"..i;
		item:setLocation(self.rewardPos[i][1], self.rewardPos[i][2], 0);
		self.RewardArr:add(item);
	end

	self.tipsTxt.text = LanUtil.formateStr(202005, tostring(DataCenter.tenRecruitSelectData.limitLv));

	self.cancelBtn:addClickFuntion(self, self.hide);
	self.sureBtn:addClickFuntion(self, self.onSureTipsClick);
	self:addLuaEvent("UPDATE_TENRECRUITSELECT_INFO", self, self.updateShowInfo);
end

function Lua_TenRecruitSelectShowRewardWindow:showWin(param)
	self:superCall("showWin", param);

	for i = 1, #param.heroIdList do
		self.RewardArr[i]:setData(param:heroInfoByType(i));
	end
	
	if DataCenter.tenRecruitSelectData.isPlay == true then
		DataCenter.tenRecruitSelectData.isPlay = false;
		if Lua_WindowUtil.isWindowShowing("Lua_RecruitShowStarWindow") == true then
			Lua_WindowUtil.openWin("Lua_RecruitShowStarWindow", Lua_WinParam.ACTION_CLOSE);
		end
	end

	if param.canExtract == true then
		self.cancelBtn:setLocation(0, 55, 0);
		self.cancelBtn:setLangValue(202006);
	else
		if DataCenter.tenRecruitSelectData.unReceived == true then
			self.cancelBtn:setLocation(0, 55, 0);
			self.cancelBtn:setLangValue(202006);
		elseif DataCenter.tenRecruitSelectData.canReceived == true then
			self.cancelBtn:setStyle(3);
			self.cancelBtn:setLocation(-200, 55, 0);
			self.cancelBtn.txt.colorStr = Lua_ColorDefine.transColor("FFFFFF");
			self.cancelBtn:setLangValue(202007);

			-- 二次确认按钮
			self.sureBtn:setEnable(true);
			self.tipsTxt:setLangValue(202008);
		end
	end
end

function Lua_TenRecruitSelectShowRewardWindow:updateShowInfo()
	if DataCenter.tenRecruitSelectData.hasReceived == true then
		-- Lua_WindowUtil.openWin("Lua_TenRecruitSelectShowItemWindow", Lua_WinParam.ACTION_OPEN, {data = self.showData.heroInfoArr});
		Lua_WindowUtil.openWin("Lua_ObtainItemTipsWindow", Lua_WinParam.ACTION_OPEN, {data = self.showData.heroInfoArr});
		Lua_WindowUtil.openWin(self.windowName, Lua_WinParam.ACTION_CLOSE);
	end
end

function Lua_TenRecruitSelectShowRewardWindow:onSureTipsClick(go)
	Lua_WindowUtil.openWin("Lua_TipsWindow", Lua_WinParam.ACTION_OPEN, {owner = self, posX = 0, posY = 60,
		des = LanUtil.getValue(202009), time = 5, btnType = 1, sureFun = self.onSureFun});
end

function Lua_TenRecruitSelectShowRewardWindow:onSureFun()
	self.sureBtn:setBtnEnable(false);

	Lua_WindowUtil.openWin("Lua_TenRecruitSelectWindow", Lua_WinParam.ACTION_CLOSE);
	Lua_ProxyManager.getProxy("Lua_TenRecruitSelectProxy"):sReceiveReward(self.showData.type);
end

function Lua_TenRecruitSelectShowRewardWindow:dispose()
	if self.RewardArr ~= nil then
		self.RewardArr:dispose();
		self.RewardArr:clear();
		self.RewardArr = nil;
	end

	self:superCall("dispose");
end





--------------------------------------------------





Lua_TenRecruitSelectShowRewardItem = class("Lua_TenRecruitSelectShowRewardItem", Lua_ListCell);
function Lua_TenRecruitSelectShowRewardItem:ctor(p)
	self:superCall("ctor", p, "TenRecruitSelectRewardItem_skin");
end

function Lua_TenRecruitSelectShowRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.heroIcon:addClickFuntion(self, self.onOpenAttrWinow);
end

function Lua_TenRecruitSelectShowRewardItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	if data.initial_color == 3 then
		self.itemBg:setAltas("recruit_atlas_1", "ui_xmb_widget_07");
	elseif data.initial_color == 4 then
		self.itemBg:setAltas("recruit_atlas_1", "ui_xmb_widget_08");
	elseif data.initial_color == 5 then
		self.itemBg:setAltas("recruit_atlas_1", "ui_xmb_widget_09");
	end
	self.heroIcon:setUrl("/images/recruit/ui_xmb_lh_001.png"); -- /" ..data.path1.. ".png");
	self.campIcon:setAltas("common_altas_2", "ui_common_button_0"..(data.campType + 25).."_n");
	self.nameTxt.text = data.name;
	self:showStar(data.star);
end

-- 显示星
function Lua_TenRecruitSelectShowRewardItem:showStar(starNum)
	if self.starList == nil then
		self.starList = Array();

		local item;
		local centerPosX, centerPosY, distance = 3, -101, 19;
		local div = Mathf.Floor(starNum / 2);
		local startPosX = starNum % 2 == 0 and (centerPosX - (div - 0.5) * distance) or (centerPosX - div * distance);
		for i = 1, starNum do
			item = UICreate.createUIAtlasImage(self.content, "common_altas_1", "ui_common_label_11", startPosX + distance * (i - 1), centerPosY, 0, 0);
			self.starList:add(item);
		end
	end
end

function Lua_TenRecruitSelectShowRewardItem:onOpenAttrWinow()
	if self._data == nil then
		return;
	end
	DataCenter.heroAtlasData:onOpenAtlasWindow(self._data.id);
end

function Lua_TenRecruitSelectShowRewardItem:dispose()
	if self.starList ~= nil then
		self.starList:dispose();
		self.starList:clear();
		self.starList = nil;
	end

	self:superCall("dispose");
end