-- 十连自选
Lua_TenRecruitSelectWindow = class("Lua_TenRecruitSelectWindow", Lua_Window);
function Lua_TenRecruitSelectWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TenRecruitSelectWindow";
	self.skinName = "TenRecruitSelectWindow_skin";
	self.layer = MainWinDefine.NORMAL_WINDOW_LAYER;
	self.showBlackMask = true;
	self.isClickClose = true;
	self.showClose = true;
end

function Lua_TenRecruitSelectWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.btnClose:setLocation(310, 400, 0);
	self.tipsTxt.text = LanUtil.formateStr(202005, tostring(DataCenter.tenRecruitSelectData.limitLv));

	self.rewardList = Lua_DragList.new(self.content, 660, 514, Lua_AxisDefine.Horizontal);
	self.rewardList:setListCell(Lua_TenRecruitSelectShowItem, 220, 514, 1)

	self:addLuaEvent("UPDATE_TENRECRUITSELECT_INFO", self, self.updateInfo);
	Lua_ProxyManager.getProxy("Lua_TenRecruitSelectProxy"):sTenRecruitSelectInfo();
end

function Lua_TenRecruitSelectWindow:updateInfo()
	local rewardInfo = DataCenter.tenRecruitSelectData.rewardInfo;
	self.rewardList:setArrayData(rewardInfo);
	self.rewardList.canDrag = rewardInfo:getSize() > 3;
end

function Lua_TenRecruitSelectWindow:dispose()
	if self.rewardList ~= nil then
		self.rewardList:dispose();
		self.rewardList = nil;
	end
	DataCenter.tenRecruitSelectData.isPlay = false;

	self:superCall("dispose");
end





--------------------------------------------------





Lua_TenRecruitSelectShowItem = class("Lua_TenRecruitSelectShowItem", Lua_ListCell);
function Lua_TenRecruitSelectShowItem:ctor(p)
	self:superCall("ctor", p, "TenRecruitSelectShowItem_skin");
end

function Lua_TenRecruitSelectShowItem:buildShowItem()
	self:superCall("buildShowItem");

	self.receiveBtn:addClickFuntion(self, self.onDrawClick);
	self.checkInfoBtn:addClickFuntion(self, self.onShowRewardClick);
end

function Lua_TenRecruitSelectShowItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	local tenRecruitSelectData = DataCenter.tenRecruitSelectData;
	if data.unExtract then -- 不可抽取
		self.receiveBtn:setLangValue(202001);
	else
		if data.hasExtracted then
			if tenRecruitSelectData.unReceived then -- 不可领取
				self.receiveBtn:setLangValue(202002);
			elseif tenRecruitSelectData.canReceived then -- 可以领取
				self.receiveBtn:setLangValue(202003);
			elseif tenRecruitSelectData.hasReceived then -- 已领取
				self.receiveBtn:setLangValue(202004);
				self.checkInfoBtn:removeClickFuntion(self, self.onShowRewardClick);
			end
		elseif data.canExtract then
			self.receiveBtn:setLangValue(202001);
		end
	end

	if data.hasExtracted then -- 已抽取
		self.itemBg:setAltas("recruit_atlas_1", "ui_xmb_widget_09");
		self.heroIcon:setUrl("/images/recruit/ui_xmb_lh_001.png"); -- /" ..data.fiveStarHero.path1.. ".png");
		self.campIcon:setAltas("common_altas_2", "ui_common_button_0"..(data.fiveStarHero.campType + 25).."_n");
		self.nameTxt.text = data.fiveStarHero.name;
	else
		self.itemBg:setAltas("recruit_atlas_1", "ui_xmb_widget_07");
		self.heroIcon:setUrl("/images/tenrecruitselect/ui_tszd_widget_016.png");
	end

	if tenRecruitSelectData.hasReceived then
		self.receiveBtn:setLangValue(202004);
		self.checkInfoBtn:removeClickFuntion(self, self.onShowRewardClick);
	end

	self.itemBg:setGray(data.unExtract);
	self.hasDrawObj:SetActive(data.hasExtracted);
	self.receiveBtn:setBtnEnable(not tenRecruitSelectData.hasReceived);
	self.receiveBtn:setStyle(data.unExtract and 3 or 1);
	self:showRedDot(data.canExtract or tenRecruitSelectData.canReceived); -- 可以抽取或可以领取
end

function Lua_TenRecruitSelectShowItem:showRedDot(bShow)
	if bShow then
		if self.redPoint == nil then
			self.redPoint = Lua_RedPointIcon.new(self.content);
			self.redPoint:setLocation(60, -163, 0);
			self.redPoint:createRedPointEff();
		end
		self.redPoint:updateRedPointShow(true);
	else
		if self.redPoint ~= nil then
			self.redPoint:updateRedPointShow(false);
		end
	end
end

function Lua_TenRecruitSelectShowItem:onDrawClick(go)
	if DataCenter.tenRecruitSelectData.hasReceived then
		return;
	end

	if self._data.canExtract then
		Lua_ProxyManager.getProxy("Lua_TenRecruitSelectProxy"):sReceiveReward(self._data.type);
	elseif self._data.hasExtracted then
		if DataCenter.tenRecruitSelectData.unReceived then
			OperateAlert.show(LanUtil.formateStr(202005, DataCenter.tenRecruitSelectData.limitLv));
		elseif DataCenter.tenRecruitSelectData.canReceived then
			Lua_WindowUtil.openWin("Lua_TenRecruitSelectShowRewardWindow", Lua_WinParam.ACTION_OPEN, self._data);
		end
	end
end

function Lua_TenRecruitSelectShowItem:onShowRewardClick(go)
	if DataCenter.tenRecruitSelectData.hasReceived ~= true then
		Lua_WindowUtil.openWin("Lua_TenRecruitSelectShowRewardWindow", Lua_WinParam.ACTION_OPEN, self._data);
	end
end

function Lua_TenRecruitSelectShowItem:dispose()
	if self.redPoint ~= nil then
		self.redPoint:dispose();
		self.redPoint = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end